<?php
$config = Zend_Registry::get('reviews_config');
$items = $this->items;
?>

<link href="<?= _st('reviews.css') ?>" media="screen" rel="stylesheet" type="text/css" />

<style type="text/css">
	.r-showname {
		position:relative;
		outline: none;
	}

	.r-showname span {
		background:none repeat scroll 0 0 #FFFFFF !important;
		display:block;
		height:132px;
		left:30px;
		position:absolute;
		top:5px;
		visibility:hidden;
		width:100px;
		padding: 0px !important;
		border: none !important;
	}

	.r-showname:hover span {
		visibility:visible;
		z-index:100;
	}

	.r-showname:hover span img {
		border:1px solid #CCCCCC;
		margin:0;
		padding:1px;
	}
</style>


<div class="i">
	<div class="guide-content">
		<table cellspacing="0" cellpadding="0" class="tableData" style="width: 100%;">
			<tr class="tableHeader">
				<th style="width: 65px;">&nbsp;</th>
				<th></th>
				<th><?= $this->t('rating') ?></th>
				<th class="left"><?= $this->t('showname') ?></th>
				<th><?= $this->t('agency') ?></th>
				<th><?= $this->t('looks') ?></th>
				<th><?= $this->t('services') ?></th>
				<th><?= $this->t('last_review') ?></th>
				<th class="left"><?= $this->t('last_reviewer') ?></th>
			</tr>
			<?php $i = 1; ?>
			<?php foreach ($items as $item): ?>
				<?php $f_r = explode('|', $item['fuckometer_rank']); $last = intval(end($f_r)); ?>
				<tr class="center">
					<td><img src="<?= _st('reviews/' . $i . '.png') ?>" /></td>
					<td><? if ($last < $i && $last != 0): ?><img src="<?= _st('reviews/arrow_down.gif') ?>" /><? elseif ($last == $i || $last == 0): ?><? else: ?><img src="<?= _st('reviews/arrow_up.gif') ?>" /><? endif; ?></td>
					<td><?= $item['fuckometer'] ?></td>
					<td class="left">
						<a class="r-showname" href="<?= $this->getLink('escort-reviews', array('showname' => $item['showname'], 'escort_id' => $item['escort_id'])) ?>">
							<span>
								<img height="124" width="92" src="<?= $item['photo_url'] ?>" alt="<?= $item['showname'] ?>" />
							</span>
							<?= $item['showname'] ?>
						</a>
					</td>
					<td><?= $item['agency_name'] ? $item['agency_name'] : 'Independent' ?></td>
					<td><img src="<?= _st('reviews/faces_' . $this->avg($item['avg_looks']) . '.png') ?>" /></td>
					<td><img src="<?= _st('reviews/stars_' . $this->avg($item['avg_services']) . '.png') ?>" /></td>
					<? $last_review = $item['last_review']; ?>
					<td><?= $last_review['creation_date'] ? date('d M Y', $last_review['creation_date']) : '-' ?></td>
					<td class="left">
						<a href="<?= $this->getLink('member-reviews', array('username' => $last_review['username'])) ?>" <? if ($item['is_premium']): ?>class="rev-premium"<? endif; ?>><?= $last_review['username'] ?></a>
						<? if ($item['is_premium']): ?><img src="<?= _st('reviews/premium.gif') ?>" /><? endif; ?>
						(<?= $item['reviews_count'] ?>)
					</td>
				</tr>
				<?php $i ++; ?>
			<?php endforeach; ?>
		</table>
	</div>
</div>
